//
//  Const.h
//  VclustersGemini
//
//  Created by 余衡武 on 2021/10/26.
//  Copyright © 2021 APPLE. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

#pragma mark 全局常量
@interface Const : NSObject

/**主页地址*/
UIKIT_EXTERN NSString *const Const_HomeUrl;


/**无痕模式 是否开启*/
UIKIT_EXTERN NSString *const Const_IsNoTrackModel;

/*是否开启了引导*/
UIKIT_EXTERN NSString *const Const_Have_Show_Guide;

// 定义一个CloudPhoneType的字符串类型作为枚举类型
typedef NSString *CloudPhoneType NS_STRING_ENUM;
// 声明以下四个云手机类型枚举值
// 星动：VIP
FOUNDATION_EXPORT CloudPhoneType const CloudPhoneTypeXingDong;
// 星曜：SVIP
FOUNDATION_EXPORT CloudPhoneType const CloudPhoneTypeXingYao;
// 唔即：STAR
FOUNDATION_EXPORT CloudPhoneType const CloudPhoneTypeWuJi;
// 唔即Pro：STARPRO
FOUNDATION_EXPORT CloudPhoneType const CloudPhoneTypeWuJiPro;

UIKIT_EXTERN NSString *const Const_lastsmsCodeGetTimeForLoginSMS;
UIKIT_EXTERN NSString *const Const_lastSetUserAgreementView;

UIKIT_EXTERN NSString *const Const_HWLoginDictionary; // 保存账号登录字典的的key
UIKIT_EXTERN NSString *const Const_HWAccountPhoneNumber; // 保存账号手机号的的key
UIKIT_EXTERN NSString *const Const_Volume_Info_Dict;


/*进城隐藏是否打开 YES:打开  其他关闭*/
UIKIT_EXTERN NSString *const Const_Mask_View_Open;

/*进城隐藏模式 1:计算器  2:浏览器 其他默认计算器*/
UIKIT_EXTERN NSString *const Const_Mask_View_Model;

/*标记是否已过期 YES:已过期  其他未过期*/
UIKIT_EXTERN NSString *const Const_Have_No_VaildTime;

/**App有新版本更新*/
UIKIT_EXTERN NSString *const Const_haveVersion;

UIKIT_EXTERN NSString *const Const_AirpayOrWXorderNum;
@end

NS_ASSUME_NONNULL_END
