//
//  ViewForPhoneAndSMS.h
//  VclustersGemini
//
//  Created by APPLE on 2020/4/8.
//  Copyright © 2020 APPLE. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "InputViewForSMSCod.h"
NS_ASSUME_NONNULL_BEGIN

@protocol ViewForPhoneAndSMSDelegate <NSObject>

- (void)smsDeleteBtnPressed;
- (void)smsOptionalBtnPressed; //用户使用协议
- (void)smsPrivateBtnPressed; //用户隐私协议
- (void)smsLoginWithPhonenumber:(NSString *)number code:(NSString *)code;
- (void)smsGetLoginSmsCodeWithPhonenumber:(NSString *)number;
- (void)smsPwdLoginBtnBePressed;
- (void)viewForPhoneAndSMSWeixinLogin;

@end

@interface ViewForPhoneAndSMS : UIView
@property (nonatomic,weak)id<ViewForPhoneAndSMSDelegate> delegate;
@property (nonatomic,strong)InputViewForSMSCod *mInputView;

- (void)hiddenKeyboard;
-(BOOL)agreementButtonIsSelect;
- (void)refreshUI;

@end

NS_ASSUME_NONNULL_END
