//
//  QQLoginManager.h
//  VclustersGemini
//
//  Created by 余衡武 on 2020/5/13.
//  Copyright © 2020 APPLE. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <TencentOpenAPI/TencentOAuth.h>

NS_ASSUME_NONNULL_BEGIN

@protocol QQLoginManagerDelegate <NSObject>

- (void)getQQLoginParamsFromManager;

@end

@interface QQLoginManager : NSObject <TencentSessionDelegate>

@property (nonatomic, strong) TencentOAuth *tencentOAuth;
/**QQ登录参数*/
@property (nonatomic, strong) NSMutableDictionary   *loginParams;

@property (nonatomic,weak)id <QQLoginManagerDelegate> delegate;;//界面代理回调

+ (instancetype)shareInstance;

/**QQ授权登录*/
- (void)authorizeQQLogin;

@end

NS_ASSUME_NONNULL_END
