//
//  PhonePackageModel.h
//  VclustersGemini
//
//  Created by APPLE on 2020/7/27.
//  Copyright © 2020 APPLE. All rights reserved.
//

#import "SuperModel.h"

NS_ASSUME_NONNULL_BEGIN

@interface PhonePackageModel : SuperModel

@property (nonatomic,assign) CGFloat actualPrice;/*实际价格*/
@property (nonatomic,assign) CGFloat originalPrice;/*原价*/
@property (nonatomic,assign) NSInteger effectiveTime;/*时长*/
@property (nonatomic,copy)   NSString *createTime;/*创建时间*/
@property (nonatomic,copy)   NSString *title;/*标签*/
@property (nonatomic,assign)   NSInteger ID;/*套餐id*/

@end

@protocol PhonePackageModel;
@interface PhonePackageListModel : SuperModel

@property (nonatomic,copy)   NSArray <PhonePackageModel>*menuRuleVOList;/*套餐列表*/

/**
 * @brief  特权信息
 */
@property(nonatomic, copy)NSArray *privilegeList;

/**
 * @brief 云机剩余时长 单位秒S
 */
@property (nonatomic, assign) NSInteger cloudPhoneTime;

/**
 * @brief  过期时间yyyy-mm-dd hh:MM:SS
 */
@property(nonatomic, copy)NSString *exceptSourceTime;

/**
 * @brief  过期时间yyyy-mm-dd
 */
@property(nonatomic, copy)NSString *exceptTime;

@end

@interface PhonePackageDataModel : SuperModel

@property(nonatomic, copy)PhonePackageListModel *data;

@end

NS_ASSUME_NONNULL_END

