//
//  WXPayManager.h
//  VclustersGemini
//
//  Created by APPLE on 2019/9/25.
//  Copyright © 2019 APPLE. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "WXApi.h"
NS_ASSUME_NONNULL_BEGIN

@class WXPayManager;

@protocol WXPayManagerDelegate <NSObject>

@optional

-(void)onResp:(BaseResp*)resp payManager:(WXPayManager*)payManager;

- (void)getWXLoginParamsFromManager;

@end

@interface WXPayManager : NSObject <WXApiDelegate>

/**微信登录参数*/
@property (nonatomic, strong) NSMutableDictionary   *loginParams;

@property (nonatomic,weak)id <WXPayManagerDelegate> delegate;

+(WXPayManager *)shareInstance;

/**微信授权登录*/
- (void)authorizeWXLoginWithVC:(UIViewController *)vc;

@end

NS_ASSUME_NONNULL_END
