//
//  InputView.h
//  VclustersGemini
//
//  Created by APPLE on 2019/6/10.
//  Copyright © 2019 APPLE. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@protocol InputViewForSMSCodDelegate <NSObject>

@optional
- (void)smsCodeBtnBePressed:(id)sener smsCodeInputView:(UITextField *)inputView;

@end

@interface InputViewForSMSCod : UIView
{
//    UITextField *phoneNumInput;
//    UITextField *pwdInput;
}

@property (nonatomic, strong,readonly) UITextField *phoneNumInput;
@property (nonatomic, strong,readonly) UITextField *smsInput;
@property (nonatomic, strong,readonly) UIButton    *smsCodeBtn;
@property (nonatomic, strong) UILabel *phoneErrorTipsLabel;
@property (nonatomic, strong) UILabel *smsErrorTipsLabel;

@property (nonatomic, weak) id<InputViewForSMSCodDelegate> delegate;

- (void)hiddenKeyboard;

@end

NS_ASSUME_NONNULL_END
