//
//  SetUserAgreementView.h
//  VclustersGemini
//
//  Created by ypp on 2021/1/4.
//  Copyright © 2021 APPLE. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@protocol SetUserAgreementViewDelegate <NSObject>

- (void)optionalBtnPressed; //用户使用协议
- (void)privateBtnPressed;  //隐私协议

@end

@interface SetUserAgreementView : UIView

//同意协议按钮
@property (nonatomic,strong) UIButton *agreeBtn;

//用户使用协议
@property (nonatomic,strong) UIButton *optionalBtn;

//隐私协议
@property (nonatomic,strong) UIButton *privateBtn;

@property (nonatomic,weak)id<SetUserAgreementViewDelegate> delegate;

- (void)refreshUI;

@end

NS_ASSUME_NONNULL_END
