//
//  HWShareViewController.h
//  VclustersGemini
//
//  Created by 余衡武 on 2021/11/16.
//  Copyright © 2021 APPLE. All rights reserved.
//

#import "BaseViewController.h"
#import "MessageModel.h"

@protocol HWShareViewControllerDelegate <NSObject>

- (void)haveShowOk;

@end

NS_ASSUME_NONNULL_BEGIN

@interface HWShareViewController : BaseViewController

@property (nonatomic,strong) MessageModel *model;

@property (nonatomic,assign) BOOL isNeedReport;
@property (nonatomic,assign) BOOL isNeedHidenLink;/*是否需要隐藏链接按钮*/
@property (nonatomic,weak) id<HWShareViewControllerDelegate> delegate;

@end

NS_ASSUME_NONNULL_END
