//
//  MessageModel.h
//  VclustersGemini
//
//  Created by 余衡武 on 2020/7/2.
//  Copyright © 2020 APPLE. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface MessageModel : NSObject

// 公告消息
/**消息已读1 未读0*/
@property (nonatomic,assign) NSInteger aid;
/**消息时间戳*/
@property (nonatomic,copy)   NSString *publishTime;

// 通知消息
/**消息ID*/
@property (nonatomic,assign) NSInteger ID;
/**消息标题*/
@property (nonatomic,copy)   NSString *title;
/**消息内容*/
@property (nonatomic,copy)   NSString *content;
/**消息已读1 未读0*/
@property (nonatomic,assign)  int status;
/**消息时间戳*/
@property (nonatomic,copy)   NSString *ctime;
/**是否可以选择*/
@property (nonatomic,assign) BOOL isCanSelect;
/**选择按钮状态*/
@property (nonatomic,assign) BOOL isSelect;

// 活动资讯
/**消息ID*/
//@property (nonatomic,assign) NSInteger ID;
/**消息标题*/
//@property (nonatomic,copy)   NSString *title;
/**消息内容*/
//@property (nonatomic,copy)   NSString *content;
/**消息介绍*/
@property (nonatomic,copy)   NSString *introduction;
/**消息图片*/
@property (nonatomic,copy)   NSString *topImage;
/**消息时间戳*/
@property (nonatomic,copy)   NSString *createTime;


/**云社区文章-分享H5地址*/
@property (nonatomic,copy)   NSString *shareUrl;


/**裂变活动 - 活动状态  0：未开启  1：开启*/
@property (nonatomic,assign) BOOL actStatus;
/**裂变活动 - 活动地址 */
@property (nonatomic,copy)   NSString *actHomePage;
/**裂变活动 - 分享标题*/
//@property (nonatomic,copy)   NSString *title;
/**裂变活动 - 分享内容*/
//@property (nonatomic,copy)   NSString *content;
/**裂变活动 - 分享H5地址 */
@property (nonatomic,copy)   NSString *gotoUrl;
/**裂变活动 - 分享图片*/
@property (nonatomic,copy)   NSString *shareImg;

@end

NS_ASSUME_NONNULL_END
