//
//  P2PDataManager.h
//  VclustersGemini
//
//  Created by APPLE on 2019/9/25.
//  Copyright © 2019 APPLE. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PhoneP2PModel.h"

NS_ASSUME_NONNULL_BEGIN

@interface P2PDataManager : NSObject

+(P2PDataManager *)shareInstance;

/*保存或者同步数据*/
- (void)saveOrUpdateRecoderWithModel:(PhoneP2PModel *)model;

/*根据phoneId获取PhoneP2PModel*/
- (void)findRecoderWithPhoneID:(NSInteger)phoneId complete:(bg_complete_A)complete;

/*根据phoneId获取PhoneP2PModel*/
- (PhoneP2PModel *)findRecoderWithPhoneID:(NSInteger)phoneId;

/*根据phoneId删除PhoneP2PModel*/
- (void)deleteRecoderWithPhoneID:(NSInteger)phoneId;

/*删除所有的token缓存数据*/
- (void)deleteAllRecoder;
@end

NS_ASSUME_NONNULL_END
