//
//  YSXLog.h
//  YSXCrash
//
//  Created by Felix on 2018/8/24.
//  Copyright © 2018年 Felix. All rights reserved.
//

#import <Foundation/Foundation.h>

#ifdef Debug
#define YSXDebugLog(FORMAT, ...) a_YSXLOG_FULL(FORMAT, "Debug", ##__VA_ARGS__)
#define YSXErrorLog(FORMAT, ...) a_YSXLOG_FULL(FORMAT, "Error", ##__VA_ARGS__)
#else
#define YSXDebugLog(...)
#define YSXErrorLog(...)
#endif

#define a_YSXLOG_FULL(FORMAT, level, ...)   \
                    i_YSXLOG_FULL(          \
                    level,                  \
                    __FILE__,               \
                    __LINE__,               \
                    __PRETTY_FUNCTION__,    \
                    FORMAT,                 \
                    ##__VA_ARGS__)

#define i_YSXLOG_FULL i_ysxlog_logObjC

void i_ysxlog_logC(const char *file, int line, const char *function, NSString *fmt, ...);
void i_ysxlog_logObjC(const char* const level, const char* const file, const int line, const char* const function, NSString *fmt, ...);
